
#include "pitches.h"

// notes in the melody:
int melody[] = {
  NOTE_C4, NOTE_C4,
  0,
  NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4,
  0,
  NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4,
  0,
  NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4,
  NOTE_C4,
  NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4, NOTE_C4,
  0
  
};


int noteDurations[] = {
  8, 8,
  2,
  8,8,8,8,
  8,4,4,8,
  2,
  4,
  8,8,8,8,
  8,8,
  8,8,8,
  2,
  4,8,4,8,
  4,4,4,
  8,8,4,
  8,4,8,
  8,8,8,
  8,
  4,8,4,8,4,4
};

void setup() {
  
}

void loop() {
  int size = sizeof(noteDurations) / sizeof(int);
   for (int thisNote = 0; thisNote < size; thisNote++) {


    int noteDuration = 1000 / noteDurations[thisNote];
    tone(2, melody[thisNote], noteDuration);

    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);

    noTone(2);
  }
}
